%define major		0
%define libname		%mklibname ttspico %{major}
%define develname	%mklibname ttspico -d

Name:		svox-pico
Version:	20160125
Release:	%mkrel 5
License:	Apache License
Group:		Sound
Summary:	Text-To-Speech engine from Android project
Summary(fr_FR):	Moteur Text-To-Speech du projet Android
URL:		http://android.googlesource.com/platform/external/svox.git
# tarball taken from:
# git clone https://android.googlesource.com/platform/external/svox
# commit: dfb9937746b1828d093faf3b1494f9dc403f392d
Source0:	%{name}-%{version}.tar.xz
# patches taken from debian:
Patch1:		0001-autoconf-building-of-library-using-libtool.patch
Patch2:		0002-gitignore-for-autotools-files.patch
Patch3:		0003-pico2wave-Convert-text-to-.wav-using-svox-text-to-sp.patch
Patch4:		0004-add-header-files.patch
Patch5:		0005-Install-lang-files.patch
Patch6:		0006-Set-picolangdir.patch
Patch9:		0009-Fix-link-order.patch
Patch10:	0010-platform.patch
Patch11:	0011-add-include-stdint.h.patch

BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(popt)

%description
Text-To-Speech engine from Android project.

%description -l fr_FR
Moteur Text-To-Speech du projet Android.

#------------------------------------------------

%package -n	%{libname}
Summary:	svox-pico library
Summary(fr_FR):	Librairie svox-pico
Group:		System/Libraries

%description -n	%{libname}
Library for svox-pico.

%description -n	%{libname} -l fr_FR
Librairie pour svox-pico.

#------------------------------------------------

%package -n	%{develname}
Summary:	svox-pico development files
Summary(fr_FR):	Fichiers de développement svox-pico
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files needed by svox-pico.

%description -n	%{develname} -l fr_FR
Fichiers de développement nécessaires à svox-pico.

#------------------------------------------------

%prep
%setup -q
%apply_patches

chmod +x ./pico/autogen.sh

%build
pushd pico
	NOCONFIGURE=1 ./autogen.sh
	%configure2_5x --disable-static
	%make_build
popd

%install
%make_install -C pico

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*
%{_datadir}/pico/

%files -n %{libname}
%{_libdir}/libttspico.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libttspico.so


%changelog
* Wed Feb 20 2019 tex - 20160125-5pclos2019
- rebuild against updates

